.hero {
  background: linear-gradient(to right, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.7)),
    url("./img/professional_3.jpg");
  background-size: cover;
  background-position: center 20%;
  color: white;
  text-align: center;
  padding: 100px 0;
  height: 450px;
}

.hero h1 {
  font-size: 3.5rem;
  font-weight: bold;
}

.hero p {
  font-size: 1.25rem;
  margin: 10px auto;
  max-width: 600px;
  color: rgb(203, 186, 186);
}

.hero span {
  /* color: #ff5733; */
  /* color: */
  font-weight: bold;
}

@media (max-width: 768px) {
  .hero {
    background-position: center 70%;
    background-size: contain;
    height: 250px;
  }

  .hero h1 {
    font-size: 1.8rem;
  }

  .hero p {
    font-size: 0.8rem;
  }
}

/* ================== */
.color-box {
  width: 30px;
  height: 30px;
  display: inline-block;
  cursor: pointer;
  border-radius: 50%;
  transition: 0.3s;
}

.color-box.active {
  border: 3px solid #fff;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
}

#selected-color {
  font-weight: bold;
  color: #d9534f;
}

/* ==== */
#min-price-filter,
#max-price-filter {
  width: 45%;
  text-align: center;
}

/* =========------======= */

.icon-box {
  position: absolute;
  left: 50%;
  transform: translate(-50%, -140%);
  opacity: 0;
  transition: opacity 0.3s ease;
  gap: 10px;
}

.image-container:hover .icon-box {
  opacity: 1;
}

.action-btn {
  background-color: #ffffff;
  border: 1px solid #ddd;
  border-radius: 50%;
  padding: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.3s ease;
}

.action-btn:hover {
  background-color: #007bff;
  color: #ffffff;
  transform: scale(1.2);
}

.action-btn i {
  font-size: 15px;
}

.action-link {
  text-decoration: none;
  color: inherit;
}

.card-body {
  margin-top: 10px;
}

.card-title {
  font-size: 1.2rem;
  font-weight: bold;
}

.card-body p {
  font-size: 1rem;
  color: #444;
}

/* ================================================= */
/* ================================================= */

/* === */

.product-card {
  border: none;
  text-align: center;
  padding: 15px;
  background: #f7f7f7;
  position: relative;
  border-radius: 8px;
  width: 280px;
  margin: auto;
  transition: 0.3s;
  overflow: hidden;
}

.product-img {
  width: 100%;
  max-width: 220px;
  height: auto;
  display: block;
  margin: 0 auto;
  transition: 0.3s ease-in-out;
}

.product-title {
  font-size: 14px;
  font-weight: 600;
  margin-top: 5px;
  color: #333;
  transition: 0.3s ease-in-out;
}

.product-price {
  font-size: 16px;
  font-weight: bold;
  /* color: #e67e22; */
  transition: 0.3s ease-in-out;
}

.star-rating {
  color: #f39c12;
  font-size: 12px;
  transition: 0.3s ease-in-out;
}

.product-img:hover {
  transform: scale(1.08);
  cursor: pointer;
}

.text-part:hover .product-title,
.text-part:hover .product-price,
.text-part:hover .product-old-price,
.text-part:hover .star-rating {
  color: #d35400;
  cursor: pointer;
}

/* ========== */

/* ================================================= */
/* ================================================= */

/* === short by == */
h2.text-center {
  font-size: 2rem;
  color: #007bff;
  text-align: center;
  flex-grow: 1;
}

#sort-filter {
  min-width: 150px;
  border-radius: 5px;
  border: 1px solid #ced4da;
}

#sort-filter:focus {
  border-color: #007bff;
  box-shadow: 0 0 5px rgba(0, 123, 255, 0.5);
}

